#!/usr/local/bin/perl

# $c_dir  is the directory which stores all the source program
 $c_dir = "/home/rlport0/cloudy/current/source";

# this is dir above c_dir
 $main_dir = "/home/rlport0/cloudy/current";

# options for slow compile with symbol table
# @options = ("-Aa","-g","-c","+z");
# options for fast compile
# original == @options = ("-Aa","-DMPI" , "+FPOZ", "+e" , "-O","-c","+z");
# change optimization to +O2 as per handout
# -AP means use classic C library
# @options = ("-AP" , "-Aa","-DMPI", "-DLAPACK" , "+FPOZ", "+e" , "+O2","-c","+z","+DD64");
# @options = ("-Aa","-DMPI", "-DLAPACK" , "+FPOZ", "+e" , "+O2","-c","+z","+DD64");
# this one, remove MPI 
# add -g 
# go from O2 to O1 with multiple crashes in tsuite jan 4 05
#@options = ("-g" , "-Ae", "-DMPI", "+FPOZ", "+e" , "-c","+z","+DD64");
#@options = ("-g" , "-Aa", "-D_HPUX_SOURCE", "-DMPI", "+FPOZ", "+e" , "-c","+z","+DD64");
@options = ("-g" , "-DMPI_ENABLED", "-fPIC", "-c");

# the name of the compiler
#$CC = "g++";
$CC = "mpiCC";

# move to directory with the source
chdir($c_dir);

# loop over all c files
while(defined($filename = glob("*.cpp")) )
{
   if($filename ne "maincl.cpp") 
   {
      # $filename =~ s/.cpp//gi;
      printf("file is %s\n", $filename );
      #@cppfiles = (@cppfiles, $filename); 
#     compile source file.
      system "$CC  @options $filename ";
   }
}

# produce shared Library
# system "mpiCC -shared *.o -o cloudy.sl -lm";

printf("\n finished creating cloudy.sl, now creating main.exe\n");
# move to directory above the source
chdir($main_dir);
#system "complink64 source/maincl";
